#---------------------------------------------------------------
#	Raspberry Pi 1 - CPU load
#---------------------------------------------------------------

# The second entry in the CPU line should always return "0"
# .iso.org.dod.internet.mgmt.mib-2.host.hrSystem.hrSystemMaxProcesses
# I use Maximum Number of Process Contexts: .1.3.6.1.2.1.25.1.7.0
Target[raspi1-CPU]: .1.3.6.1.2.1.25.3.3.1.2.768&.1.3.6.1.2.1.25.1.7.0:public@raspi-1
MaxBytes[raspi1-CPU]: 100
YLegend[raspi1-CPU]: CPU %
ShortLegend[raspi1-CPU]: %
LegendI[raspi1-CPU]: CPU
Legend1[raspi1-CPU]: CPU usage
Options[raspi1-CPU]: integer, gauge, nopercent, growright, unknaszero, noo
Title[raspi1-CPU]: Raspberry Pi 1 CPU load
PageTop[raspi1-CPU]: <H2>Raspberry Pi 1 - CPU load</H2>

#---------------------------------------------------------------
#	Raspberry Pi 1 - CPU temperature
#---------------------------------------------------------------

Target[raspi1-CPU-temp]: .1.3.6.1.2.1.25.1.8&.1.3.6.1.2.1.25.1.7.0:public@raspi-1
MaxBytes[raspi1-CPU-temp]: 100000
MaxBytes2[raspi1-CPU-temp]: 100000
Title[raspi1-CPU-temp]: CPU temperature for Raspberry Pi 1
Options[raspi1-CPU-temp]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi1-CPU-temp]: Temperature C
ShortLegend[raspi1-CPU-temp]: C
kMG[raspi1-CPU-temp]: ,
Factor[raspi1-CPU-temp]: 0.001
Legend1[raspi1-CPU-temp]: CPU temperature in C
LegendI[raspi1-CPU-temp]: CPU temperature
PageTop[raspi1-CPU-temp]: <H1>Raspberry Pi 1 -- CPU Temperature</H1>

#---------------------------------------------------------------
#	Raspberry Pi 1 - Memory
#---------------------------------------------------------------

Target[raspi1-mem]: .1.3.6.1.2.1.25.2.3.1.6.1&.1.3.6.1.2.1.25.2.3.1.6.3:public@raspi-1
MaxBytes[raspi1-mem]: 100524288
Options[raspi1-mem]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi1-mem]: Mem - 1K pages
Factor[raspi1-mem]: 1024
ShortLegend[raspi1-mem]: B
LegendI[raspi1-mem]: Physical &nbsp;
LegendO[raspi1-mem]: Virtual  &nbsp;
Legend1[raspi1-mem]: Physical 
Legend2[raspi1-mem]: Virtual Memory
Title[raspi1-mem]: Raspberry Pi 1 Memory Usage
PageTop[raspi1-mem]: <H2>Raspberry Pi 1 - Memory Usage</H2>

#---------------------------------------------------------------
#	Raspberry Pi 1 - timekeeping
#---------------------------------------------------------------

Target[raspi1_ntp]: `perl GetNTP10usec.pl raspi-1`
MaxBytes[raspi1_ntp]: 20
MaxBytes2[raspi1_ntp]: 40
Unscaled[raspi1_ntp]: dwmy
Title[raspi1_ntp]: NTP offset for Raspberry Pi 1 - precision scale
PageTop[raspi1_ntp]: <h1>NTP offset for Raspberry Pi 1 running Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi1_ntp]: integer, gauge, nopercent, growright
YLegend[raspi1_ntp]: offset + 20us
ShortLegend[raspi1_ntp]: s
LegendI[raspi1_ntp]: 
LegendO[raspi1_ntp]: offset + 20s:&nbsp;
Legend1[raspi1_ntp]: n/a
Legend2[raspi1_ntp]: time offset in ms, with 20s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 1 - precision timekeeping
#---------------------------------------------------------------

Target[raspi1_ntp_2]: `perl GetNTPmicrosec.pl raspi-1`
MaxBytes[raspi1_ntp_2]: 500
MaxBytes2[raspi1_ntp_2]: 1000
Unscaled[raspi1_ntp_2]: dwmy
Title[raspi1_ntp_2]: NTP performance on Raspberry Pi 1 - microsecond scale
PageTop[raspi1_ntp_2]: <h1>NTP offset for Raspberry Pi 1 running Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi1_ntp_2]: integer, gauge, nopercent, growright
YLegend[raspi1_ntp_2]: offset + 500us
ShortLegend[raspi1_ntp_2]: s
LegendI[raspi1_ntp_2]: 
LegendO[raspi1_ntp_2]: offset + 500s:&nbsp;
Legend1[raspi1_ntp_2]: n/a
Legend2[raspi1_ntp_2]: time offset in s, with 500s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 1 - timekeeping
#---------------------------------------------------------------

Target[raspi1_ntp-pn]: `perl GetNTPoffsetNs.pl raspi-1`
MaxBytes[raspi1_ntp-pn]: 100000000
Title[raspi1_ntp-pn]: NTP statistics for Raspberry Pi 1 - bipolar scale
Options[raspi1_ntp-pn]: integer, gauge, nopercent, growright
Colours[raspi1_ntp-pn]: BLUE#0033FF, RED#FF0000, BLUE#0033FF, RED#FF0000, 
YLegend[raspi1_ntp-pn]: offset +/- ns
ShortLegend[raspi1_ntp-pn]: ns
LegendI[raspi1_ntp-pn]: offset ns (-):&nbsp;
LegendO[raspi1_ntp-pn]: offset ns (+):&nbsp;
Legend1[raspi1_ntp-pn]: Time offset in ns (-)
Legend2[raspi1_ntp-pn]: Time offset in ns (+)
PageTop[raspi1_ntp-pn]: <H1>NTP offset for Raspberry Pi 1 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 1 - timekeeping
#---------------------------------------------------------------

Target[raspi1_ntp-b]: `perl GetNTP3000usec.pl raspi-1`
MaxBytes[raspi1_ntp-b]: 5990
MaxBytes2[raspi1_ntp-b]: 3000
Unscaled[raspi1_ntp-b]: dwmy
Title[raspi1_ntp-b]: NTP offset for Raspberry Pi 1 - millisecond scale
Options[raspi1_ntp-b]: integer, gauge, nopercent, growright
YLegend[raspi1_ntp-b]: offset + 3ms
kMG[raspi1_ntp-b]: ,ms,,,,
ShortLegend[raspi1_ntp-b]: s
LegendI[raspi1_ntp-b]: 
LegendO[raspi1_ntp-b]: offset + 3000s:&nbsp;
Legend1[raspi1_ntp-b]: n/a
Legend2[raspi1_ntp-b]: time offset in s, with 3000s offset added to ensure it's positive.
PageTop[raspi1_ntp-b]: <H1>NTP offset for Raspberry Pi 1 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 1 - network traffic
#---------------------------------------------------------------

Target[raspi1]: 2:public@raspi-1
MaxBytes[raspi1]: 12500000
Options[raspi1]: unknaszero, growright
Title[raspi1]: Raspberry Pi 1 - LAN Traffic - on-board Ethernet adapter
PageTop[raspi1]: <H1>Raspberry Pi 1 - LAN Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>On board Ethernet interface</TD></TR>
   <TR><TD>Max Speed:</TD><TD>100 Mbit/s Ethernet/TD></TR>
 </TABLE>
#---------------------------------------------------------------



