#---------------------------------------------------------------
#	Raspberry Pi 2 - CPU load
#---------------------------------------------------------------

# The second entry in the CPU line should always return "0"
# .iso.org.dod.internet.mgmt.mib-2.host.hrSystem.hrSystemMaxProcesses
# I use Maximum Number of Process Contexts: .1.3.6.1.2.1.25.1.7.0
Target[raspi2-CPU]: .1.3.6.1.2.1.25.3.3.1.2.768&1.3.6.1.2.1.25.1.7.0:public@raspi-2
MaxBytes[raspi2-CPU]: 100
YLegend[raspi2-CPU]: CPU %
ShortLegend[raspi2-CPU]: %
LegendI[raspi2-CPU]: CPU
Legend1[raspi2-CPU]: CPU usage
Options[raspi2-CPU]: integer, gauge, nopercent, growright, unknaszero, noo
Title[raspi2-CPU]: Raspberry Pi 2 CPU - CPU load
PageTop[raspi2-CPU]: <H2>Raspberry Pi 2 - CPU load</H2>

#---------------------------------------------------------------
#	Raspberry Pi 2 - CPU temperature
#---------------------------------------------------------------

Target[raspi2-CPU-temp]: .1.3.6.1.2.1.25.1.8&1.3.6.1.2.1.25.1.7.0:public@raspi-2
MaxBytes[raspi2-CPU-temp]: 100000
MaxBytes2[raspi2-CPU-temp]: 100000
Title[raspi2-CPU-temp]: CPU temperature on Raspberry Pi 2
Options[raspi2-CPU-temp]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi2-CPU-temp]: Temperature C
ShortLegend[raspi2-CPU-temp]: C
kMG[raspi2-CPU-temp]: ,
Factor[raspi2-CPU-temp]: 0.001
Legend1[raspi2-CPU-temp]: CPU temperature in C
LegendI[raspi2-CPU-temp]: CPU temperature
PageTop[raspi2-CPU-temp]: <H1>Raspberry Pi 2 -- CPU Temperature</H1>

#---------------------------------------------------------------
#	Raspberry Pi 2 - Memory
#---------------------------------------------------------------

Target[raspi2-mem]: .1.3.6.1.2.1.25.2.3.1.6.1&.1.3.6.1.2.1.25.2.3.1.6.3:public@raspi-2
MaxBytes[raspi2-mem]: 100524288
Options[raspi2-mem]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi2-mem]: Mem - 1K pages
Factor[raspi2-mem]: 1024
ShortLegend[raspi2-mem]: B
LegendI[raspi2-mem]: Physical &nbsp;
LegendO[raspi2-mem]: Virtual  &nbsp;
Legend1[raspi2-mem]: Physical 
Legend2[raspi2-mem]: Virtual Memory
Title[raspi2-mem]: Raspberry Pi 2 Memory Usage
PageTop[raspi2-mem]: <H2>Raspberry Pi 2 - Memory Usage</H2>

#---------------------------------------------------------------
#	Raspberry Pi 2 - timekeeping
#---------------------------------------------------------------

Target[raspi2_ntp]: `perl GetNTP10usec.pl raspi-2`
MaxBytes[raspi2_ntp]: 20
MaxBytes2[raspi2_ntp]: 40
Unscaled[raspi2_ntp]: dwmy
Title[raspi2_ntp]: NTP offset for Raspberry Pi 2 - precision scale
PageTop[raspi2_ntp]: <h1>NTP offset for Raspberry Pi 2 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi2_ntp]: integer, gauge, nopercent, growright
YLegend[raspi2_ntp]: offset + 20us
ShortLegend[raspi2_ntp]: s
LegendI[raspi2_ntp]: 
LegendO[raspi2_ntp]: offset + 20s:&nbsp;
Legend1[raspi2_ntp]: n/a
Legend2[raspi2_ntp]: time offset in ms, with 20s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 2 - precision timekeeping
#---------------------------------------------------------------

Target[raspi2_ntp_2]: `perl GetNTPmicrosec.pl raspi-2`
MaxBytes[raspi2_ntp_2]: 500
MaxBytes2[raspi2_ntp_2]: 1000
Unscaled[raspi2_ntp_2]: dwmy
Title[raspi2_ntp_2]: NTP performance on Raspberry Pi 2 - microsecond scale
PageTop[raspi2_ntp_2]: <h1>NTP offset for Raspberry Pi 2 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi2_ntp_2]: integer, gauge, nopercent, growright
YLegend[raspi2_ntp_2]: offset + 500us
ShortLegend[raspi2_ntp_2]: s
LegendI[raspi2_ntp_2]: 
LegendO[raspi2_ntp_2]: offset + 500s:&nbsp;
Legend1[raspi2_ntp_2]: n/a
Legend2[raspi2_ntp_2]: time offset in s, with 500s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 2 - timekeeping
#---------------------------------------------------------------

Target[raspi2_ntp-pn]: `perl GetNTPoffsetNs.pl raspi-2`
MaxBytes[raspi2_ntp-pn]: 100000000
Title[raspi2_ntp-pn]: NTP statistics for Raspberry Pi 2 - bipolar scale
Options[raspi2_ntp-pn]: integer, gauge, nopercent, growright
Colours[raspi2_ntp-pn]: BLUE#0033FF, RED#FF0000, BLUE#0033FF, RED#FF0000, 
YLegend[raspi2_ntp-pn]: offset +/- ns
ShortLegend[raspi2_ntp-pn]: ns
LegendI[raspi2_ntp-pn]: offset ns (-):&nbsp;
LegendO[raspi2_ntp-pn]: offset ns (+):&nbsp;
Legend1[raspi2_ntp-pn]: Time offset in ns (-)
Legend2[raspi2_ntp-pn]: Time offset in ns (+)
PageTop[raspi2_ntp-pn]: <H1>NTP offset for Raspberry Pi 2 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 2 - timekeeping
#---------------------------------------------------------------

Target[raspi2_ntp-b]: `perl GetNTP3000usec.pl raspi-2`
MaxBytes[raspi2_ntp-b]: 5990
MaxBytes2[raspi2_ntp-b]: 3000
Unscaled[raspi2_ntp-b]: dwmy
Title[raspi2_ntp-b]: NTP offset for Raspberry Pi 2 - millisecond scale
Options[raspi2_ntp-b]: integer, gauge, nopercent, growright
YLegend[raspi2_ntp-b]: offset + 3ms
kMG[raspi2_ntp-b]: ,ms,,,,
ShortLegend[raspi2_ntp-b]: s
LegendI[raspi2_ntp-b]: 
LegendO[raspi2_ntp-b]: offset + 3000s:&nbsp;
Legend1[raspi2_ntp-b]: n/a
Legend2[raspi2_ntp-b]: time offset in s, with 3000s offset added to ensure it's positive.
PageTop[raspi2_ntp-b]: <H1>NTP offset for Raspberry Pi 2 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 2 - network traffic
#---------------------------------------------------------------

Target[raspi2]: 2:public@raspi-2
MaxBytes[raspi2]: 12500000
Options[raspi2]: unknaszero, growright
Title[raspi2]: Raspberry Pi 2 - LAN Traffic
PageTop[raspi2]: <H1>Raspberry Pi 2 - LAN Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>On board Ethernet interface</TD></TR>
   <TR><TD>Max Speed:</TD><TD>100 Mbit/s Ethernet</TD></TR>
 </TABLE>
#---------------------------------------------------------------
