#---------------------------------------------------------------
#	Raspberry Pi 4 - CPU load
#---------------------------------------------------------------

# The second entry in the CPU line should always return "0"
# .iso.org.dod.internet.mgmt.mib-2.host.hrSystem.hrSystemMaxProcesses
# I use Maximum Number of Process Contexts: .1.3.6.1.2.1.25.1.7.0
Target[raspi4-CPU]: .1.3.6.1.2.1.25.3.3.1.2.768&1.3.6.1.2.1.25.1.7.0:public@raspi-4
MaxBytes[raspi4-CPU]: 100
YLegend[raspi4-CPU]: CPU %
ShortLegend[raspi4-CPU]: %
LegendI[raspi4-CPU]: CPU
Legend1[raspi4-CPU]: CPU usage
Options[raspi4-CPU]: integer, gauge, nopercent, growright, unknaszero, noo
Title[raspi4-CPU]: Raspberry Pi 4 CPU load
PageTop[raspi4-CPU]: <H2>Raspberry Pi 4 - CPU load</H2>

#---------------------------------------------------------------
#	Raspberry Pi 4 - CPU temperature
#---------------------------------------------------------------

Target[raspi4-CPU-temp]: .1.3.6.1.2.1.25.1.7.0&.1.3.6.1.2.1.25.1.8:public@raspi-4
MaxBytes[raspi4-CPU-temp]: 100000
MaxBytes2[raspi4-CPU-temp]: 100000
Title[raspi4-CPU-temp]: CPU temperature on Raspberry Pi 4
Options[raspi4-CPU-temp]: integer, gauge, nopercent, growright, unknaszero, noi
YLegend[raspi4-CPU-temp]: Temperature C
ShortLegend[raspi4-CPU-temp]: C
kMG[raspi4-CPU-temp]: ,
Factor[raspi4-CPU-temp]: 0.001
Legend2[raspi4-CPU-temp]: CPU temperature in C
LegendO[raspi4-CPU-temp]: CPU temperature
PageTop[raspi4-CPU-temp]: <H1>Raspberry Pi 4 - CPU Temperature</H1>

#---------------------------------------------------------------
#	Raspberry Pi 4 - Ambient temperature
#---------------------------------------------------------------

Target[raspi4-ds1-temp]: .1.3.6.1.2.1.25.1.7.0&.1.3.6.1.2.1.25.1.9:public@raspi-4
MaxBytes[raspi4-ds1-temp]: 100000
MaxBytes2[raspi4-ds1-temp]: 100000
Title[raspi4-ds1-temp]: Ambient temperature indoors
Options[raspi4-ds1-temp]: integer, gauge, nopercent, growright, unknaszero, noi
YLegend[raspi4-ds1-temp]: Temperature C
ShortLegend[raspi4-ds1-temp]: C
kMG[raspi4-ds1-temp]: ,
Factor[raspi4-ds1-temp]: 0.001
Legend2[raspi4-ds1-temp]: Indoors temperature in C
LegendO[raspi4-ds1-temp]: Indoors temperature
PageTop[raspi4-ds1-temp]: <H1>Raspberry Pi 4 - Ambient Temperature Indoors</H1>

#---------------------------------------------------------------
#	Raspberry Pi 4 - Ambient temperature
#---------------------------------------------------------------

Target[raspi4-ds2-temp]: .1.3.6.1.2.1.25.1.7.0&.1.3.6.1.2.1.25.1.10:public@raspi-4
MaxBytes[raspi4-ds2-temp]: 100000
MaxBytes2[raspi4-ds2-temp]: 100000
Title[raspi4-ds2-temp]: Ambient temperature outdoors
Options[raspi4-ds2-temp]: integer, gauge, nopercent, growright, unknaszero, noi
YLegend[raspi4-ds2-temp]: Temperature F
ShortLegend[raspi4-ds2-temp]: F
kMG[raspi4-ds2-temp]: ,
Factor[raspi4-ds2-temp]: 0.001
Legend2[raspi4-ds2-temp]: Outdoors temperature in F
LegendO[raspi4-ds2-temp]: Outdoors temperature
PageTop[raspi4-ds2-temp]: <H1>Raspberry Pi 4 - Ambient Temperature Outdoors</H1>

#---------------------------------------------------------------
#	Raspberry Pi 4 - Memory
#---------------------------------------------------------------

Target[raspi4-mem]: .1.3.6.1.2.1.25.2.3.1.6.1&.1.3.6.1.2.1.25.2.3.1.6.3:public@raspi-4
MaxBytes[raspi4-mem]: 100524288
Options[raspi4-mem]: integer, gauge, nopercent, growright, unknaszero, noo
YLegend[raspi4-mem]: Mem - 1K pages
Factor[raspi4-mem]: 1024
ShortLegend[raspi4-mem]: B
LegendI[raspi4-mem]: Physical &nbsp;
LegendO[raspi4-mem]: Virtual  &nbsp;
Legend1[raspi4-mem]: Physical 
Legend2[raspi4-mem]: Virtual Memory
Title[raspi4-mem]: Raspberry Pi 4 Memory Usage
PageTop[raspi4-mem]: <H2>Raspberry Pi 4 - Memory Usage</H2>

#---------------------------------------------------------------
#	Raspberry Pi 4 - timekeeping
#---------------------------------------------------------------

Target[raspi4_ntp]: `perl GetNTP10usec.pl raspi-4`
MaxBytes[raspi4_ntp]: 20
MaxBytes2[raspi4_ntp]: 40
Unscaled[raspi4_ntp]: dwmy
Title[raspi4_ntp]: NTP offset for Raspberry Pi 4 - precision scale
PageTop[raspi4_ntp]: <h1>NTP offset for Raspberry Pi 4 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi4_ntp]: integer, gauge, nopercent, growright
YLegend[raspi4_ntp]: offset + 20us
ShortLegend[raspi4_ntp]: s
LegendI[raspi4_ntp]: 
LegendO[raspi4_ntp]: offset + 20s:&nbsp;
Legend1[raspi4_ntp]: n/a
Legend2[raspi4_ntp]: time offset in ms, with 20s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 4 - precision timekeeping
#---------------------------------------------------------------

Target[raspi4_ntp_2]: `perl GetNTPmicrosec.pl raspi-4`
MaxBytes[raspi4_ntp_2]: 500
MaxBytes2[raspi4_ntp_2]: 1000
Unscaled[raspi4_ntp_2]: dwmy
Title[raspi4_ntp_2]: NTP performance on Raspberry Pi 4 - microsecond scale
PageTop[raspi4_ntp_2]: <h1>NTP offset for Raspberry Pi 4 - Linux</h1><p>
 <a href="performance_ntp.php">NTP summary</a><p>
Options[raspi4_ntp_2]: integer, gauge, nopercent, growright
YLegend[raspi4_ntp_2]: offset + 500us
ShortLegend[raspi4_ntp_2]: s
LegendI[raspi4_ntp_2]: 
LegendO[raspi4_ntp_2]: offset + 500s:&nbsp;
Legend1[raspi4_ntp_2]: n/a
Legend2[raspi4_ntp_2]: time offset in s, with 500s offset added to ensure it's positive!

#---------------------------------------------------------------
#	Raspberry Pi 4 - timekeeping
#---------------------------------------------------------------

Target[raspi4_ntp-pn]: `perl GetNTPoffsetNs.pl raspi-4`
MaxBytes[raspi4_ntp-pn]: 100000000
Title[raspi4_ntp-pn]: NTP statistics for Raspberry Pi 4 - bipolar scale
Options[raspi4_ntp-pn]: integer, gauge, nopercent, growright
Colours[raspi4_ntp-pn]: BLUE#0033FF, RED#FF0000, BLUE#0033FF, RED#FF0000, 
YLegend[raspi4_ntp-pn]: offset +/- ns
ShortLegend[raspi4_ntp-pn]: ns
LegendI[raspi4_ntp-pn]: offset ns (-):&nbsp;
LegendO[raspi4_ntp-pn]: offset ns (+):&nbsp;
Legend1[raspi4_ntp-pn]: Time offset in ns (-)
Legend2[raspi4_ntp-pn]: Time offset in ns (+)
PageTop[raspi4_ntp-pn]: <H1>NTP offset for Raspberry Pi 4 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 4 - timekeeping
#---------------------------------------------------------------

Target[raspi4_ntp-b]: `perl GetNTP3000usec.pl raspi-4`
MaxBytes[raspi4_ntp-b]: 5990
MaxBytes2[raspi4_ntp-b]: 3000
Unscaled[raspi4_ntp-b]: dwmy
Title[raspi4_ntp-b]: NTP offset for Raspberry Pi 4 - microsecond scale
Options[raspi4_ntp-b]: integer, gauge, nopercent, growright
YLegend[raspi4_ntp-b]: offset + 3ms
kMG[raspi4_ntp-b]: ,ms,,,,
ShortLegend[raspi4_ntp-b]: s
LegendI[raspi4_ntp-b]: 
LegendO[raspi4_ntp-b]: offset + 3000s:&nbsp;
Legend1[raspi4_ntp-b]: n/a
Legend2[raspi4_ntp-b]: time offset in s, with 3000s offset added to ensure it's positive.
PageTop[raspi4_ntp-b]: <H1>NTP offset for Raspberry Pi 4 - PPS synced Linux</H1>

#---------------------------------------------------------------
#	Raspberry Pi 4 - LAN network traffic
#---------------------------------------------------------------

Target[raspi4]: 2:public@raspi-4
MaxBytes[raspi4]: 12500000
Options[raspi4]: unknaszero, growright
Title[raspi4]: Raspberry Pi 4 - LAN Traffic
PageTop[raspi4]: <H1>Raspberry Pi 4 - LAN Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>On board Ethernet interface</TD></TR>
   <TR><TD>Max Speed:</TD><TD>100 Mbit/s Ethernet</TD></TR>
 </TABLE>

#---------------------------------------------------------------
#	Raspberry Pi 4 - Wi-Fi network traffic
#---------------------------------------------------------------

Target[raspi4-wifi]: 3:public@raspi-4
MaxBytes[raspi4-wifi]: 12500000
Options[raspi4-wifi]: unknaszero, growright
Title[raspi4-wifi]: Raspberry Pi 4 - Wi-Fi Traffic
PageTop[raspi4-wifi]: <H1>Raspberry Pi 4 - Wi-Fi Traffic Analysis</H1>
 <TABLE>
   <TR><TD>Interface:</TD><TD>USB Wi-Fi adapter</TD></TR>
   <TR><TD>Max Speed:</TD><TD>54 Mbits/s</TD></TR>
 </TABLE>
#---------------------------------------------------------------

